libnvme(2)

NAME
struct nvme_dev_self_test_args - Arguments for the NVMe Device Self Test command

SYNOPSIS
struct nvme_dev_self_test_args {
__u32 *result;
int args_size;
int fd;
__u32 timeout;
__u32 nsid;
enum nvme_dst_stc stc;
};

Members

result
    The command completion result from CQE dword0

args_size
    Size of struct nvme_dev_self_test_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

nsid
    Namespace ID to test

stc Self test code, see enum nvme_dst_stc